replace icedtea-java7 references with openjdk-6 references

Bug #203636 reported by Matthias Klose
20
Affects Status Importance Assigned to Milestone
Java DB
Fix Released
Undecided
Unassigned
azureus (Ubuntu)
Undecided
Unassigned
freecol (Ubuntu)
Undecided
Unassigned
freemind (Ubuntu)
Undecided
Unassigned
icedtea-java7 (Ubuntu)
Undecided
Unassigned
jabref (Ubuntu)
Undecided
Unassigned
jedit (Ubuntu)
Undecided
Unassigned
libappframework-java (Ubuntu)
Undecided
Unassigned
libbeansbinding-java (Ubuntu)
Undecided
Unassigned
libhiglayout-java (Ubuntu)
Undecided
Unassigned
libini4j-java (Ubuntu)
Undecided
Unassigned
libnb-javaparser-java (Ubuntu)
Undecided
Unassigned
libnb-platform7-java (Ubuntu)
Undecided
Unassigned
libnb-svnclientadapter-java (Ubuntu)
Undecided
Unassigned
libswingworker-java (Ubuntu)
Undecided
Unassigned
libwoodstox-java (Ubuntu)
Undecided
Unassigned
lucene2 (Ubuntu)
Undecided
Unassigned
netbeans (Ubuntu)
Undecided
Unassigned
openoffice.org (Ubuntu)
Undecided
Unassigned
project-x (Ubuntu)
Undecided
Unassigned
qtjambi (Ubuntu)
Undecided
Unassigned
solr (Ubuntu)
Undecided
Unassigned
sun-javadb (Ubuntu)
Undecided
Unassigned
ubuntu-restricted-extras (Ubuntu)
Undecided
Unassigned

Bug Description

The icedtea-java7 package currently is a snapshot of JDK7, which will not be released in 2008. Please use the openjdk-6 packages instead.

 - use openjdk-6-jdk as a build dependency
 - use openjdk-6-jre-headless as a dependency for packages not requiring a
   graphical display
 - use openjdk-6-jre as a dependency for packages for all other packages.

If all packages are converted, icedtea-java7 should be removed from the archive; it's better maintained in a PPA until the upstream release.

David Futcher (bobbo)
Changed in jedit:
assignee: nobody → bobbo
status: New → In Progress
David Futcher (bobbo)
Changed in jedit:
assignee: bobbo → blueyed
Changed in freemind:
assignee: nobody → bobbo
status: New → In Progress
Revision history for this message
David Futcher (bobbo) wrote :
Changed in freemind:
assignee: bobbo → nobody
status: In Progress → Confirmed
Daniel Hahler (blueyed)
Changed in freemind:
status: Confirmed → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freemind - 0.7.1-6ubuntu3

---------------
freemind (0.7.1-6ubuntu3) hardy; urgency=low

  * debian/control:
    - Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)

 -- David Futcher <email address hidden> Tue, 18 Mar 2008 19:35:02 +0000

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package azureus - 2.5.0.4-1ubuntu4

---------------
azureus (2.5.0.4-1ubuntu4) hardy; urgency=low

  * Build with openjdk-6-jdk (LP: #203636)
   - Add openjdk-6-jre to the alt deps as the first choice
   - Make openjdk-6-jre preferred Java runtime in launcher

 -- John Dong <email address hidden> Tue, 18 Mar 2008 16:50:07 -0400

Changed in azureus:
status: New → Fix Released
Changed in freemind:
status: Fix Committed → Fix Released
Daniel Hahler (blueyed)
Changed in jedit:
status: In Progress → Fix Committed
Daniel Hahler (blueyed)
Changed in lucene2:
status: New → In Progress
Daniel Hahler (blueyed)
Changed in lucene2:
assignee: nobody → blueyed
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jedit - 4.3~pre13.dfsg-0ubuntu1

---------------
jedit (4.3~pre13.dfsg-0ubuntu1) hardy; urgency=low

  * New upstream bugfix release (LP: #203713)
  * debian/control, debian/rules:
    replace icedtea-java7 references with openjdk-6 references (LP: #203636)
  * Reworked (and renamed) patches:
    - 01-debian-menu-file.patch: partly applied upstream
    - 02-desktop-file-icon-file.patch: incorporate previous inline change
      (icon path)
  * 03-svn-php_mode_fix_special_comment.patch: Fix regression for special
    comments ("/**/") in PHP mode; can be dropped with the next release.

 -- Daniel Hahler <email address hidden> Tue, 18 Mar 2008 22:18:17 +0100

Changed in jedit:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lucene2 - 2.2.0-2ubuntu2

---------------
lucene2 (2.2.0-2ubuntu2) hardy; urgency=low

  * Build and Depend on openjdk-6 instead of icedtea (LP: #203636)
    - debian/rules: s/icedtea-java7/openjdk-6/g
    - debian/control: adjust JAVA_HOME

 -- Daniel Hahler <email address hidden> Wed, 19 Mar 2008 00:50:09 +0100

Changed in lucene2:
status: Fix Committed → Fix Released
Chris Cheney (ccheney)
Changed in openoffice.org:
status: New → In Progress
Revision history for this message
Marek Slama (mslama-email) wrote :
Revision history for this message
Mario Limonciello (superm1) wrote :

project-x (0.90.4dfsg-0ubuntu4) hardy; urgency=low

  * Build depend on openjdk-6-jdk instead of icedtea-java7-jdk.
  * Make other VMs possible to solve depends.

 -- Mario Limonciello <email address hidden> Tue, 18 Mar 2008 20:34:55 -0500

Changed in project-x:
assignee: nobody → superm1
status: New → Fix Released
Revision history for this message
Marek Slama (mslama-email) wrote :
David Futcher (bobbo)
Changed in jabref:
assignee: nobody → bobbo
status: New → In Progress
Revision history for this message
David Futcher (bobbo) wrote :

debdiff for jabref. Tested building fine.

Changed in jabref:
assignee: bobbo → nobody
status: In Progress → Confirmed
Revision history for this message
David Futcher (bobbo) wrote :

New debdiff for jabref, fixes a couple of things.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jabref - 2.3.1-1ubuntu2

---------------
jabref (2.3.1-1ubuntu2) hardy; urgency=low

  * debian/control:
    - Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)
    - Bump Debian standards version to 3.7.3, No changes.

 -- David Futcher <email address hidden> Wed, 19 Mar 2008 15:50:58 +0000

Changed in jabref:
status: Confirmed → Fix Released
Matthias Klose (doko)
Changed in netbeans:
status: New → In Progress
Changed in libnb-platform7-java:
status: New → In Progress
Revision history for this message
Luca Falavigna (dktrkranz) wrote :

netbeans fixed as per bug #201332.

Changed in netbeans:
status: In Progress → Fix Released
Revision history for this message
Luca Falavigna (dktrkranz) wrote :

libnb-platform7-java fixed as per bug #201341.

Changed in libnb-platform7-java:
status: In Progress → Fix Released
Stefan Ebner (sebner)
Changed in freecol:
assignee: nobody → sebner
status: New → In Progress
Revision history for this message
Stefan Ebner (sebner) wrote :

Building and running fine :)

Changed in freecol:
assignee: sebner → nobody
status: In Progress → Confirmed
Revision history for this message
Marek Slama (mslama-email) wrote :
Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine. Sorry for previous incorrect description.

Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine.

Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine.

Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine.

Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine.

Revision history for this message
Marek Slama (mslama-email) wrote :

Building fine.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libswingworker-java - 1.1-0ubuntu2

---------------
libswingworker-java (1.1-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)
  * Remove redundant entry from debian/libswingworker-java-doc.dirs

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-svnclientadapter-java - 6.0.1-0ubuntu2

---------------
libnb-svnclientadapter-java (6.0.1-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-javaparser-java - 6.0-0ubuntu2

---------------
libnb-javaparser-java (6.0-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libini4j-java - 0.2.6-0ubuntu2

---------------
libini4j-java (0.2.6-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)
  * Add target get-orig-source to debian/rules

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Changed in libini4j-java:
status: New → Fix Released
Changed in libnb-javaparser-java:
status: New → Fix Released
Changed in libnb-svnclientadapter-java:
status: New → Fix Released
Changed in libswingworker-java:
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libappframework-java - 1.03-0ubuntu2

---------------
libappframework-java (1.03-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libbeansbinding-java - 1.2.1-0ubuntu2

---------------
libbeansbinding-java (1.2.1-0ubuntu2) hardy; urgency=low

  * Replace icedtea-java7 dependencies with openjdk-6 (LP: #203636)

 -- Marek Slama <email address hidden> Thu, 20 Mar 2008 10:00:00 +0100

Changed in libappframework-java:
status: New → Fix Released
Changed in libbeansbinding-java:
status: New → Fix Released
Matthias Klose (doko)
Changed in freecol:
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package solr - 1.2.0+ds1-2ubuntu4

---------------
solr (1.2.0+ds1-2ubuntu4) hardy; urgency=low

  * Replace icedtea references with openjdk references. LP: #203636.

 -- Matthias Klose <email address hidden> Thu, 20 Mar 2008 16:39:00 +0000

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtjambi - 4.3.1-0ubuntu2

---------------
qtjambi (4.3.1-0ubuntu2) hardy; urgency=low

  * Replace icedtea references with openjdk references. LP: #203636.
  * debian/rules: Fix FTBFS, point dh_shlibdeps to the jni libraries.

 -- Matthias Klose <email address hidden> Thu, 20 Mar 2008 14:37:04 +0000

Changed in qtjambi:
status: New → Fix Released
Changed in solr:
status: New → Fix Released
Matthias Klose (doko)
Changed in libwoodstox-java:
status: New → Fix Released
Changed in libhiglayout-java:
status: New → Fix Released
Revision history for this message
Matthias Klose (doko) wrote :

subscribed ubuntu-archive; all relevant references to icedtea removed (some still there having it as part of an alternative dependency). please remove icedtea-java7 from hardy.

Changed in icedtea-java7:
status: New → Confirmed
Changed in ubuntu-restricted-extras:
status: New → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote :

08:21:40 INFO Removing candidates:
08:21:40 INFO icedtea-java7 7~b24-1.5+20080118-1 in hardy
08:21:40 INFO icedtea-java7-bin 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-bin 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-bin 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-bin 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-demo 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-demo 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-demo 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-demo 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy hppa
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy ia64
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-doc 7~b24-1.5+20080118-1 in hardy sparc
08:21:40 INFO icedtea-java7-jdk 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-jdk 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-jdk 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-jdk 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy hppa
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy ia64
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-jre 7~b24-1.5+20080118-1 in hardy sparc
08:21:40 INFO icedtea-java7-plugin 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-plugin 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-plugin 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-plugin 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy amd64
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy hppa
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy i386
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy ia64
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy lpia
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy powerpc
08:21:40 INFO icedtea-java7-source 7~b24-1.5+20080118-1 in hardy sparc
08:21:40 INFO Removed-by: Steve Langasek
08:21:40 INFO Comment: superseded by openjdk-6; LP: #203636
08:21:40 INFO 38 packages successfully removed.
Confirm this transaction? [yes, no] yes
08:23:58 INFO Transaction committed.
08:23:58 INFO The archive will be updated in the next publishing cycle.

Changed in icedtea-java7:
status: Confirmed → Fix Released
Revision history for this message
Broomer68 (jbezemer) wrote :

Should icedtea not be replaced in Firefox?

Chris Cheney (ccheney)
Changed in openoffice.org:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package openoffice.org - 1:2.4.0-3ubuntu1

---------------
openoffice.org (1:2.4.0-3ubuntu1) hardy; urgency=low

  [ Chris Cheney ]
  * Resynchronise with Debian (r1044). Remaining changes:
    - debian/broffice.org.postrm.in:
      . Change diversions to ubuntu bitmap filenames.
    - debian/broffice.org.preinst.in:
      . Change diversions to ubuntu bitmap filenames.
    - debian/control.in:
      . Change maintainer line.
      . Use imagemagick instead of graphicsmagick.
      . Change bzr repo location.
      . Add package openoffice.org-style-human.
      . Add replaces openoffice.org-gtk (<< 2.0.3-1) for openoffice.org-gnome
        dapper upgrade.
    - debian/control.l10n.in:
      . Add file for Ubuntu.
    - debian/control.lang.in:
      . Add L10N_COMMON to Depends.
    - debian/control.mozilla.in:
      . Add Xb-Npp-xxx tags according to "firefox distro add-on suport" spec.
    - debian/control.ubuntu-feisty.in:
      . Add file for Ubuntu.
    - debian/deppackage.postinst.in:
      . Add file for Ubuntu.
    - debian/module-po.map:
      . Add file for Ubuntu.
    - debian/ooo-build-ubuntu.diff:
      . Various Ubuntu specific changes to ooo-build.
    - debian/openoffice.org-base.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-calc.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-draw.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-filter-binfilter.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-impress.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-math.mime:
      . Update and sort mime-types.
    - debian/openoffice.org-writer.mime:
      . Update and sort mime-types.
    - debian/rules:
      . Add BUILD_SPARC option.
      . Add USE_COMMON_DOCDIR option.
      . Add USE_LZMA_COMPRESS option.
      . Add support to build on lpia.
      . Add support to build l10n as a separate source.
      . Add support to chmod +x programs in debian dir.
      . Add support to uuencode binary files in ubuntu dir.
      . Add support for Ubuntu specific bitmaps.
      . Add support for openoffice.org-style-human package.
      . Add support for launchpad translations.
      . Update location of aotcompile.py file.
      . Use imagemagick instead of graphicsmagick.
      . Use openjdk-6-jre instead of icedtea-java7-jre. Closes LP: #203636
      . Various Ubuntu specific changes.
    - debian/scripts/convert2po:
      . Add file for Ubuntu.
    - debian/scripts/fix_image_rgb:
      . Use imagemagick instead of graphicsmagick.
    - debian/scripts/gsifilter.py:
      . Add file for Ubuntu.
    - debian/scripts/splitgsi:
      . Add file for Ubuntu.
    - debian/template.desktop.in:
      . Add NoDisplay=true.
  * Resynchronise with ooo-build (r12081).
    - Closes LP: #54776, #62256, #105906, #113358, #131272, #137469, #138252
      Closes LP: #148552, #154940, #160988, #175983, #194759, #197451, #197622
  * ubuntu/*:
    - Update splash screen for OOo 2.4. Closes LP: #199193
    - Various Ubuntu specific changes.

  [ Matthias Klose ]
  * ubuntu/lpi2gsi: Add templates and conversion scripts to generate
    ...

Read more...

Changed in openoffice.org:
status: Fix Committed → Fix Released
Revision history for this message
sibidiba (sibidiba) wrote :
Changed in qtjambi:
status: Fix Released → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

The last package (2.5.0.4-1ubuntu4) still depends on icedtea-java7-jre. Work on this NBS

Changed in freecol:
assignee: nobody → didrocks
status: Fix Released → Confirmed
Didier Roche (didrocks)
Changed in azureus:
assignee: nobody → didrocks
status: Fix Released → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

Debdiff for freecol : freecol_0.7.4.dfsg-1ubuntu1.debdiff

Changed in freecol:
assignee: didrocks → nobody
Changed in javadb:
status: New → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

Debdiff for sun-javadb

Revision history for this message
Didier Roche (didrocks) wrote :

Not been freed from dependencie in new intrepid release.

Changed in project-x:
assignee: superm1 → didrocks
status: Fix Released → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

Sorry, it was affecting sun-javadb and not upstream project…

Changed in javadb:
status: Confirmed → Fix Released
Changed in sun-javadb:
assignee: nobody → didrocks
status: New → Confirmed
Changed in azureus:
assignee: didrocks → nobody
Revision history for this message
Didier Roche (didrocks) wrote :

qtjambi depends no momre from icedtea-java7-jre on intrepid

Changed in qtjambi:
status: Confirmed → Fix Released
Revision history for this message
Didier Roche (didrocks) wrote :

Debdiff for project-x

Revision history for this message
Didier Roche (didrocks) wrote :

New debdiff for freecol (as I totally messed up)

Revision history for this message
Didier Roche (didrocks) wrote :

Same remark as above for project-x

Revision history for this message
Didier Roche (didrocks) wrote :

Same thing for sun-javadb…

Changed in sun-javadb:
assignee: didrocks → nobody
Didier Roche (didrocks)
Changed in project-x:
assignee: didrocks → nobody
Revision history for this message
Matthias Klose (doko) wrote :

please don't add explicit dependencies/build dependencies on openjdk. Please use default-jre-headless / default-jre

Revision history for this message
Didier Roche (didrocks) wrote :

New debdiff taking into account Matthias' comment.
All packages depends on default-jre and not *-headless as a grep -ri awt * show that freecol, project-x and sun-javadb uses awt for their UI.

Revision history for this message
Stefano Maioli (smaioli) wrote :

Fixed in azureus - 3.1.1.0-3ubuntu1

Changed in azureus:
status: Confirmed → Fix Released
Revision history for this message
Didier Roche (didrocks) wrote :
Revision history for this message
Didier Roche (didrocks) wrote :
Revision history for this message
Didier Roche (didrocks) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package project-x - 0.90.4dfsg-0ubuntu5

---------------
project-x (0.90.4dfsg-0ubuntu5) intrepid; urgency=low

  * remove java specific dependencies and icedtea-java7-jre NBS (LP: #203636)

 -- Didier Roche <email address hidden> Wed, 20 Aug 2008 22:46:41 +0200

Changed in project-x:
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sun-javadb - 10.3.2.1-0ubuntu2

---------------
sun-javadb (10.3.2.1-0ubuntu2) intrepid; urgency=low

  * remove java specific dependencies and icedtea-java7-jre NBS (LP: #203636)

 -- Didier Roche <email address hidden> Wed, 20 Aug 2008 23:00:45 +0200

Changed in sun-javadb:
status: Confirmed → Fix Released
Daniel Hahler (blueyed)
Changed in lucene2:
assignee: blueyed → nobody
Changed in jedit:
assignee: blueyed → nobody
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freecol - 0.7.4.dfsg-1ubuntu1

---------------
freecol (0.7.4.dfsg-1ubuntu1) intrepid; urgency=low

  * remove java specific dependencies and icedtea-java7-jre NBS (LP: #203636)

 -- Didier Roche <email address hidden> Wed, 20 Aug 2008 22:57:46 +0200

Changed in freecol:
status: Confirmed → Fix Released
Revision history for this message
Didier Roche (didrocks) wrote :

Last merge on libwoodstox-java not propely done: 1:3.9.2.dfsg-1 now depends on it (cf http://launchpadlibrarian.net/16743678/libwoodstox-java_1%3A3.9.1-1ubuntu1_1%3A3.9.2.dfsg-1.diff.gz)

Changed in libwoodstox-java:
assignee: nobody → didrocks
status: Fix Released → In Progress
Revision history for this message
Didier Roche (didrocks) wrote :

debdiff available for libwoodstox-java

  * remove java specific dependencies and icedtea-java7-jre NBS (LP: #203636)

Changed in libwoodstox-java:
assignee: didrocks → nobody
status: In Progress → Confirmed
Revision history for this message
Matthias Klose (doko) wrote :

the patch for libwoodstox-java is wrong, doesn't have an alternative dependency on the virtual package java-sdk

Changed in libwoodstox-java:
status: Confirmed → Incomplete
Revision history for this message
Didier Roche (didrocks) wrote :

Here is the new patch taking Matthias' suggestions :)

Changed in libwoodstox-java:
status: Incomplete → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libwoodstox-java - 1:3.9.2.dfsg-1ubuntu1

---------------
libwoodstox-java (1:3.9.2.dfsg-1ubuntu1) intrepid; urgency=low

  * remove java specific dependencies and icedtea-java7-jre NBS (LP: #203636)

 -- Didier Roche <email address hidden> Sat, 30 Aug 2008 10:36:00 +0200

Changed in libwoodstox-java:
status: Confirmed → Fix Released
To post a comment you must log in.